commit 42dd6b209ac77d12164afb06634a4254c183c7ec
Author: Daiki Ueno <ueno@gnu.org>
Date:   2014-12-19 16:25:07 +0900

    Bump version to 1.5.22

M	configure.ac

commit 5aace4443fbb6d7cf6779d72438a19846d573908
Author: Daiki Ueno <ueno@gnu.org>
Date:   2014-12-19 14:53:26 +0900

    Followup fixes to widget template migration

M	po/POTFILES.in
M	po/POTFILES.skip
M	src/Makefile.am
M	src/config.vapi
M	src/dictionary.vala
A	src/ibus-engine-kkc.gresource.xml
D	src/ibus-engine-kkc.gresource.xml.in
A	src/ibus-kkc-dictionaries.json
D	src/ibus-kkc-dictionaries.json.in
A	src/ibus-kkc-dictionaries.pot
A	src/ibus-setup-kkc.gresource.xml
D	src/ibus-setup-kkc.gresource.xml.in

commit ad7f58911675e47d72bad68be266b0967d8235f6
Author: Daiki Ueno <ueno@gnu.org>
Date:   2014-11-21 15:22:32 +0900

    build: Drop IBus 1.4 support

M	configure.ac
M	src/Makefile.am
M	src/engine.vala

commit d861ee72dd1a4788cee41627d3504c45d1845eaa
Author: Daiki Ueno <ueno@gnu.org>
Date:   2014-11-21 15:19:51 +0900

    build: Require gtk+-3.0 >= 3.10 for widget template

M	configure.ac

commit 1b5b2f27bae52b540686ea63eea2b301f237bc83
Author: Daiki Ueno <ueno@gnu.org>
Date:   2014-11-21 15:19:10 +0900

    Update copyright year

M	Makefile.am
M	configure.ac

commit 7ffb2078a2c825aca958931e76abcfec781e2b3f
Author: Daiki Ueno <ueno@gnu.org>
Date:   2014-11-21 13:27:14 +0900

    setup: Switch to widget template

M	src/Makefile.am
A	src/dictionary-dialog.ui
D	src/ibus-kkc-preferences.ui.in
M	src/ibus-setup-kkc.gresource.xml.in
A	src/setup-dialog.ui
M	src/setup.vala
A	src/shortcut-dialog.ui

commit 512779e89f491202b2fb45326464fd3dfe23190d
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-11-21 12:03:51 +0900

    Update copyright year

M	src/dictionary.vala
M	src/engine.vala
M	src/preferences.vala
M	src/setup.vala

commit 0e6bae81bf26037ce77ad0304e3e7e1dbbcfba37
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-07-10 16:21:20 +0900

    engine: Rename "Setup" property label to "Preferences"
    
    Reported by Anish Patil at:
    https://bugzilla.redhat.com/show_bug.cgi?id=1117671

M	src/engine.vala

commit 983857a4ffea83da88289a5a3f322ac4de765d83
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-07-07 13:30:53 +0900

    Bump version to 1.5.21
    
    Drop support for libkkc <= 0.3.3

M	configure.ac

commit cef332d94a6f09b25ee469107ac9691f1ecc7ebe
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-06-24 16:25:43 +0900

    setup: Check if the existing shortcut key is non-null, when removing

M	src/setup.vala

commit 3d5e00ad1565057552f557193c1907da8de75248
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-06-24 16:24:22 +0900

    setup: Set the "label" attribute properly when adding a shortcut

M	src/setup.vala

commit e252d6887087bf9660827209b9358a716a4bacb0
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-06-16 11:29:24 +0900

    Fix HashSet name clash between Vala 0.26 glib-2.0.vapi and gee-0.8.vapi

M	src/setup.vala

commit fe466be200444642e03be8daa4fd8af50ac71522
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-06-16 11:28:16 +0900

    Port to libgee 0.8 API

M	src/Makefile.am
M	src/engine.vala
M	src/ibus-kkc.deps

commit 185122b953ad990083d8748ef336b89205b64efc
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-06-09 11:08:50 +0900

    Don't send update-property signal until properties are registered
    
    To reduce the number of D-Bus signals sent on focus-in.

M	src/engine.vala

commit 1f3e5b1f8afb2768255641b96dfeddf70320c010
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-06-02 17:28:20 +0900

    Update translations

M	po/ja.po

commit c6859b80dc7fd315ae827974c3803e3279f46010
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-04-01 17:31:15 +0900

    Bump version to 1.5.20

M	configure.ac

commit 68b389eec62ff0866020809b959fa315f0b5b51c
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-04-01 17:27:20 +0900

    build: Remove unnecessary AM_GLIB_GNU_GETTEXT call

M	configure.ac

commit be955f1b9d2bdc68d327fcbf762d67f8103e260e
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2014-02-27 17:14:15 +0900

    Remove ignored keys logic

M	src/engine.vala

commit b7a8a8b15c55409c319bc33b819b8826173b3cbd
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-12-20 17:33:24 +0900

    Update translations

M	po/ja.po

commit 1c5422f679b150e613679af1593575c0c1b74f9a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-12-20 17:30:25 +0900

    setup: Rename label "IBus Kana Kanji" -> "Kana Kanji Conversion"

M	src/ibus-kkc-preferences.ui.in
M	src/ibus-setup-kkc.desktop.in.in

commit d18d7048f98f958dbf3e06b9b6c7801e4197a7dd
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-12-16 17:15:43 +0900

    Instantly apply page-start and page-size settings change
    
    Reported by Mike FABIAN at
    https://bugzilla.redhat.com/show_bug.cgi?id=1024061

M	src/engine.vala

commit 14a59b069c292ef7355fa6ff042e87ef1ebef842
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-12-16 13:21:44 +0900

    Bump version to 1.5.19

M	configure.ac

commit 88176c9cedd0a97e38ac905d152b4dd8f99e16b9
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-12-16 13:30:24 +0900

    Don't error out even if loading dictionaries fails

M	src/engine.vala

commit 8c6dbe26ced50e55d632a4a9a665eb3e71a90c67
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-12-16 13:17:30 +0900

    Highlight input characters properly when moving cursor

M	configure.ac
M	src/engine.vala

commit a78c7f18b70b44ce441eca4e2fa220eb6f4c0afa
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 16:34:22 +0900

    Bump version to 1.5.18

M	configure.ac

commit 7d37ef25899e8ec00df47b36d9cff9b879cf6c9b
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 16:46:00 +0900

    Fix make distcheck

M	src/Makefile.am
D	src/ibus-engine-kkc.gresource.xml
A	src/ibus-engine-kkc.gresource.xml.in
D	src/ibus-setup-kkc.gresource.xml
A	src/ibus-setup-kkc.gresource.xml.in

commit 620aa178c0644e18990c267d57352b012fd59e44
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 16:07:15 +0900

    Don't pollute gconf/dconf database if config values are unset

M	src/preferences.vala

commit c8c9d3eea8338030824f7a8c1a7fc640ec7a5c75
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 15:30:21 +0900

    Improve the last change

M	src/dictionary.vala

commit 798098f97df08416e1ffe18f3f2e1d33eb4354fc
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 15:14:42 +0900

    dictionary: make "default_enabled" field optional

M	src/dictionary.vala

commit 6423c8e8586dc5a173f945df423e2726a6d7fa75
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 15:10:21 +0900

    setup: don't list non-existent dictionaries

M	src/dictionary.vala

commit 89577b433b5f83200fc4b7b27089f2fe2cef724f
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 15:07:32 +0900

    setup: add tooltip to the treeview on "add dictionary" dialog

M	src/ibus-kkc-preferences.ui.in
M	src/setup.vala

commit 85942568f900b99d18b9214cec3002e4da0dfd90
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 13:36:16 +0900

    setup: add more tooltips

M	po/ja.po
M	src/ibus-kkc-preferences.ui.in

commit 61207094925695b11fdbb1f909e9496cf58adcba
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 13:10:03 +0900

    setup: enable tooltips on dictionaries treeview

M	src/ibus-kkc-preferences.ui.in
M	src/setup.vala

commit b645060c4f83603e653e8408faf65793029fd136
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 13:09:52 +0900

    Fix translation

M	po/ja.po

commit eecac44a1acb09fa02b4f9796c35527e509f3895
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 12:58:23 +0900

    setup: mark keymap combobox not sensitive by default

M	src/ibus-kkc-preferences.ui.in

commit ec7d611e4ea9ce9a0715874e70966d7135e96a15
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 12:35:33 +0900

    setup: avoid the dialog being too wide

M	po/ja.po
M	src/ibus-kkc-preferences.ui.in

commit f6f64ecc91395611c793651f3e9f8d8045e4afa4
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 12:13:20 +0900

    Update translations

M	po/ja.po

commit 6ac74bc9257c5bdb909aace5bab96bfa9c74cb47
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 12:13:12 +0900

    Add more dictionaries to the registry

M	src/ibus-kkc-dictionaries.json.in

commit 576a63318ce843e46c8db537a24482a3c652422a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 11:53:21 +0900

    setup: use GtkBox instead of GtkVBox

M	src/ibus-kkc-preferences.ui.in

commit c2c8ecf6d07124ca333513fd5a3fa70ac9111d0b
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 11:46:39 +0900

    setup: set up/down toolbutton sensitivity based on selection positions

M	src/ibus-kkc-preferences.ui.in
M	src/setup.vala

commit 1d7466f99f6c11f837a30ed7cb628c64c58e0d22
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 11:35:11 +0900

    setup: use toolbutton for dictionary toolbar

M	src/ibus-kkc-preferences.ui.in
M	src/setup.vala

commit cba6c9566e30ee2f6e672c4bd5498b2a86ae982a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 10:32:11 +0900

    Use separate gresource file for engine and setup

M	src/Makefile.am
A	src/ibus-engine-kkc.gresource.xml
D	src/ibus-kkc.gresource.xml
A	src/ibus-setup-kkc.gresource.xml

commit 4be72ef3009600e8854d41c5f3f0eae3f074629a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 09:29:05 +0900

    Update translations

M	po/ja.po

commit 44428b27b5e7accb76c56578d5a758eba07a8392
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-13 09:17:34 +0900

    setup: embed icon in the resource

M	src/dictionary.vala
M	src/ibus-kkc-preferences.ui.in
M	src/ibus-kkc.gresource.xml
M	src/setup.vala

commit 32fe40ed72db4c201433a04eb4306fce2c89e6e0
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 18:04:12 +0900

    setup: add icon to the about page

M	configure.ac
M	src/Makefile.am
M	src/ibus-kkc-preferences.ui.in

commit 9be3139e7a589566ce01cfcd171696c76fb05f6a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 18:01:13 +0900

    Update translations

M	po/ja.po

commit 1290ca651dff6582547ba32f44010296668465c5
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 18:00:56 +0900

    build: ignore ibus-kkc-dictionaries.json

M	src/Makefile.am

commit e9024fa9f54cf29be27c2553fdfcff6e99be9ce0
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 17:56:57 +0900

    setup: translate "IBus Kana Kanji" in the about page

M	src/ibus-kkc-preferences.ui.in

commit 05ed0d6643864a53ee76677c2a8c182f67631a80
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 17:46:55 +0900

    Disable annotation display by default

M	src/preferences.vala

commit 025a86e8807cc135387ece531f4ab5d5dd55cefa
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 17:36:23 +0900

    Update translations

M	po/ja.po

commit 8bf73b815cbfcfdca9088c497d16b39e4f9a7e38
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 17:34:17 +0900

    setup: redesign dictionary add dialog

M	configure.ac
M	src/Makefile.am
A	src/dictionary.vala
M	src/engine.vala
M	src/ibus-kkc-dictionaries.json.in
M	src/ibus-kkc-preferences.ui.in
M	src/kkc.xml.in.in
D	src/plist.vala
M	src/preferences.vala
M	src/setup.vala

commit ab9c5ba319aef856fb9197b430461bd0f76728f5
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-12 11:28:30 +0900

    setup: completely hide user dictionary from the treeview

M	src/preferences.vala
M	src/setup.vala

commit ca62ce9bdba5df20ef0d2cef098561b01a7c62ff
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-11 16:48:32 +0900

    Update translations

M	po/ja.po

commit a096d7e10f8b0311a56624fb65a7877cdb413e98
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-11 15:10:04 +0900

    setup: simplify dictionary treeview

M	po/POTFILES.in
M	src/Makefile.am
A	src/ibus-kkc-dictionaries.json.in
M	src/ibus-kkc.gresource.xml
M	src/setup.vala

commit ce61f84a2c4603a7e501d35d15cc21985fb4839a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-10 17:40:55 +0900

    Bump version to 1.5.17

M	configure.ac

commit 45789d7b179fff60cdd86f5d90c7049dd284cf1a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-10 17:35:38 +0900

    engine: send translated keysym in direct input mode

M	src/engine.vala

commit 4c2020b97036f5f9d5e35c99df5509b3e7286c4d
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-09-10 17:12:36 +0900

    engine: share language model among engine instances

M	src/engine.vala

commit 0aaa4f9a5491af7d42ba3c8b4859026224452665
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-08-16 18:11:14 +0200

    setup: set sensitivity of keymap combobox

M	src/setup.vala

commit 1d079a64f95f141500ae304aceb386a33a425524
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-08-15 11:49:26 +0200

    Update translations

M	po/ja.po

commit c4ae814db29eb1c5b6fea34771726825974e349a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-08-15 11:47:42 +0200

    setup: add an option to use custom keymap

M	src/engine.vala
M	src/ibus-kkc-preferences.ui.in
M	src/preferences.vala
M	src/setup.vala

commit a81da46a5458087490caf3e3b3aeb07f0165da31
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-07-29 09:48:11 +0900

    Use common intl initialization idioms

M	src/engine.vala
M	src/setup.vala

commit d1c2f35ac27bfe30477ce41ea113b65a9b12a88e
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-07-11 11:14:30 +0900

    Bump version to 1.5.16

M	configure.ac

commit c6239ada38edacad04306cabf38d7fddae3eb1c1
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-07-06 11:31:44 +0900

    Error out when ibus-config is not running

M	src/engine.vala
M	src/setup.vala

commit 5225b238b031a39f188381b439ad5427fab17344
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-07-03 13:03:06 +0900

    Bump version to 1.5.15

M	configure.ac

commit 3cc1b142e289eb51ac3778e3816511d47cec337f
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-07-03 13:01:32 +0900

    Load ibus-kkc-preferences.ui from $(builddir) not $(srcdir)

M	src/Makefile.am

commit ff755f20a07d35ead239e90cd7844628a0186338
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-07-03 12:56:24 +0900

    Require gtk+-3.0 >= 3.4 for GtkBuilder.add_from_resource()

M	configure.ac

commit 2ad3ec6f483570622d7296fa5c78ed48553e3cac
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-07-01 18:36:22 +0900

    setup: notify engine when a shortcut has changed
    
    Reported by Akihiro TSUKADA in
    <http://du-a.org/pipermail/libkkc-list/2013-June/000017.html>.

M	src/setup.vala

commit 493835e292026b188499285d41b6c31d8bb79d35
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-14 16:02:22 +0900

    Suppress valac warnings

M	src/engine.vala
M	src/ibus-1.0.vapi

commit d2358ea22346ece53a18cce8b426190f76af5c2a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-14 15:49:20 +0900

    Compress .ui file

M	src/ibus-kkc.gresource.xml

commit 43e996affc35d39bffaff0aee334c7bac044fab3
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-14 13:03:37 +0900

    Delete ibus-kkc-resources.c when make clean.

M	src/Makefile.am

commit 552601993cfae4c9a13e081b7171dd94078efe0e
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-14 12:27:55 +0900

    Read ibus-kkc-preferences.ui from GResource

M	configure.ac
M	src/Makefile.am
A	src/ibus-kkc.gresource.xml
M	src/setup.vala

commit bf569c1dedcccd7f48033bb1c4c0d0833fffd8bd
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-07 18:45:12 +0900

    Bump version to 1.5.14

M	configure.ac

commit 12c6ef065086b4b8850cceec3db399a98d322a1f
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-07 18:47:25 +0900

    Require libkkc >= 0.2.4

M	configure.ac

commit 017a42b6063bc8bdbc08ffccb8d1d2ebddb14ea4
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-06 19:08:05 +0900

    Update translations

M	po/ja.po

commit d820ddda77809645428c8afde39d11d2ed1b3afb
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-06 19:01:23 +0900

    Expose auto-correct option

M	src/engine.vala
M	src/ibus-kkc-preferences.ui.in
M	src/preferences.vala
M	src/setup.vala

commit f23a538f8fe5bf27425654305becd93760985394
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-06-06 11:58:43 +0900

    Place cursor at the beginning of selected segment in preedit
    
    https://bitbucket.org/libkkc/libkkc/issue/2

M	src/engine.vala

commit 66aac89213bd71f94432424a321089305960a9b4
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-20 15:03:53 +0900

    Implement page-up/page-down/cursor-up/cursor-down signals

M	src/engine.vala

commit fb44306d09a41e3c74b5c9eb198581e413243ae5
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-15 15:34:46 +0900

    Bump version to 1.5.13

M	configure.ac

commit ddb757d500ea16ed6cef6aa9dcafcccf840b34d1
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-13 16:34:53 +0900

    Fix bug report address

M	configure.ac

commit 5d1eec8ebb43b0be8114cd2dca47e2ddc6f75341
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-13 16:30:24 +0900

    Update FSF address

M	Makefile.am
M	configure.ac
M	m4/Makefile.am
M	src/Makefile.am

commit 724529f14092c9101116a5490baeb7714b203efa
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-10 17:48:23 +0900

    setup: move "Dictionaries" tab to the 3rd position
    
    https://bugzilla.redhat.com/show_bug.cgi?id=961587

M	src/ibus-kkc-preferences.ui.in

commit 67a1611f99662d85baf2c5556582a8739a10aa10
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-10 17:41:28 +0900

    Follow libkkc API change

M	src/engine.vala
M	src/setup.vala

commit 48a23775a501c5c298a83dfbb994a0f3d0c860f3
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-09 17:46:45 +0900

    Implement IBus.Engine.candidate_clicked

M	src/engine.vala

commit 4c44570809e19f3604b41393c924a8c976041b69
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-08 19:53:02 +0900

    Bump version to 1.5.12

M	configure.ac

commit c978bc2813f8ab69658abd1c1aac87908bb03216
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-08 19:18:16 +0900

    Highlight preedit cursor when editing

M	src/engine.vala

commit 7bf62ba88535334598f3187153a178b6683ea8fd
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-07 19:34:59 +0900

    Always handle cursor movement keys

M	src/engine.vala

commit 09c2089ccd695e8b7f367edcfe52f85a7ac17ac4
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-05-02 13:23:51 +0900

    Fix IBus version check in configure

M	configure.ac

commit f28769c7f4d7a609b2a68c5f012aee3d16b60898
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-30 13:39:06 +0900

    Bump version to 1.5.11

M	configure.ac

commit 512a086d2ccb72e3d889eeb561b2c7818b4cd743
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-30 13:43:12 +0900

    Force --with-ibus=1.4 when make distcheck

M	Makefile.am

commit ca4357feb173d2f8cc498d03c749ca09b1bb6a57
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-26 17:53:18 +0900

    Add configure option to specify IBus API version

M	configure.ac

commit 6abf77bbd13a05d3286fb2605b0d8f04b9c35cfe
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-09 14:50:20 +0900

    Use Kkc.UserRule

M	src/Makefile.am
M	src/engine.vala
M	src/setup.vala
D	src/user-rule.vala

commit 9765411fe7447092690aae593dd4be960048c0c4
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-08 13:31:16 +0900

    Update translations

M	po/ja.po

commit cd26ad3763160f7cdb886ed308e4d2510fa56ee8
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-08 13:30:19 +0900

    setup: use Kkc.Rule.priority instead of custom translation

M	src/setup.vala

commit c3cf8066646dcbff7b0ba14ddace3c39e463c585
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-07 10:04:24 +0900

    Fix user rule override

M	src/user-rule.vala

commit 09338576818da8e7e4bc6231676cabe3f0a96711
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-07 09:53:27 +0900

    Fix user rule creation

M	src/user-rule.vala

commit 16bf716b18d0a59d5042411883e4c5adc45b5d13
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-02 22:51:48 +0900

    setup: align combobox

M	src/ibus-kkc-preferences.ui.in

commit 09638a5d7b01bf3f554cbe410803d97309b0c56a
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-02 22:05:41 +0900

    Fix build with vala 0.16

M	src/setup.vala

commit ee6a5d91ea1accb2e7d3e55209451ce541fb0795
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-02 19:13:57 +0900

    Update translations

M	po/ja.po

commit f9e125207d2947bb9c833ea650d0a8c1b89a0065
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-04-02 19:13:32 +0900

    setup: only show default and kana typing rules

M	src/setup.vala

commit 72ecf4cfccbee94af9495f1c5290aa691acb872c
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-28 18:28:13 +0900

    Simplify InputMode handling using EnumClass

M	src/user-rule.vala

commit 2a2a7c261327964733d54055d845a35a3b879388
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-25 06:51:32 +0900

    shortcut-editor: make Escape and BackSpace unmodifiable

M	src/setup.vala

commit cef0a34fe0c21e960fe5f5d67a5e9ceda8aac6d0
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-22 17:14:11 +0900

    Link libutil.la with COMMON_LIBS for explicit DSO linking

M	src/Makefile.am

commit 636f574736330cfdcb5d2effa1f163848e6424bd
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-19 16:07:03 +0900

    Update translations

M	po/ja.po

commit 9a6a542083ba223583b514decf128b4c131fe40b
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-19 16:06:18 +0900

    Allow line wrapping of help text to shortcut editor

M	src/ibus-kkc-preferences.ui.in

commit 5fee03665a199826da3fc682eb2b704f8cb454f5
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-19 15:58:51 +0900

    Update translations

M	po/ja.po

commit 7b52855381377233946507e1464993d312157bb8
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-19 15:13:42 +0900

    Bump version to 1.5.10

M	configure.ac

commit e99b9dfa19a11744ed43c063e5432e40c5493c19
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-19 15:04:12 +0900

    Require libkkc >= 0.1.10

M	configure.ac

commit 213f0023112725739b5bed039092c4faff513243
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-02-07 09:08:01 +0900

    Add "Shortcuts" tab to ibus-setup-kkc

M	src/Makefile.am
M	src/engine.vala
M	src/ibus-kkc-preferences.ui.in
M	src/setup.vala
A	src/user-rule.vala

commit 68961c1e0cddda1568fa98b2cd84f91c44e4ed68
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-12 15:21:01 +0900

    Implement instant-apply guideline for the preferences window

M	src/ibus-kkc-preferences.ui.in
M	src/preferences.vala
M	src/setup.vala

commit 8c5461ef9a362f6eb53b8bfe4f0d0decd1784a20
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-12 14:46:13 +0900

    Add textdomain to component XML

M	src/kkc.xml.in.in

commit 2239b87bac112957a9f707d29d97539dff35bfce
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-11 17:31:37 +0900

    Change the preedit background color

M	src/engine.vala

commit 2c9ed0e982cd1310437687226ccf2fd41cabec36
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-08 19:25:53 +0900

    Update translations

M	po/ja.po

commit 2d17e8a3a86f02347df9d5a234fb06a3fd36b0e2
Author: Daiki Ueno <ueno@unixuser.org>
Date:   2013-03-08 19:24:54 +0900
[--snip--]
